<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>B-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: B">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:B">B</h2>
<dl class="index">
<dt><a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html" class="type-name-link" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a> - Class in <a href="../org/vtokarev/dao/mysql/package-summary.html">org.vtokarev.dao.mysql</a></dt>
<dd>
<div class="block">The abstract <code>BaseDaoImpl</code> class is the base class for other specific DAO classes.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html#%3Cinit%3E(javax.sql.DataSource)" class="member-name-link">BaseDaoImpl(DataSource)</a> - Constructor for class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/BookingStatus.html#BOOKED" class="member-name-link">BOOKED</a> - Enum constant in enum class org.vtokarev.domain.<a href="../org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain">BookingStatus</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html" class="type-name-link" title="class in org.vtokarev.domain">Booking</a> - Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>Booking</code> class represents the entity of booking.</div>
</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#%3Cinit%3E()" class="member-name-link">Booking()</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#%3Cinit%3E(long,java.time.LocalDate,java.time.LocalDate,long,long,org.vtokarev.domain.BookingStatus,double,java.time.Instant)" class="member-name-link">Booking(long, LocalDate, LocalDate, long, long, BookingStatus, double, Instant)</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/BookingDao.html" class="type-name-link" title="interface in org.vtokarev.dao">BookingDao</a> - Interface in <a href="../org/vtokarev/dao/package-summary.html">org.vtokarev.dao</a></dt>
<dd>
<div class="block"><code>BookingDao</code> interface extends <code>GenericDao</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" class="type-name-link" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a> - Class in <a href="../org/vtokarev/dao/mysql/package-summary.html">org.vtokarev.dao.mysql</a></dt>
<dd>
<div class="block"><code>BookingDaoImpl</code> class is an implementation of <a href="../org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao"><code>BookingDao</code></a> interface for MySQL persistence layer backend.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#%3Cinit%3E(javax.sql.DataSource,org.vtokarev.dao.RoomRequestDao)" class="member-name-link">BookingDaoImpl(DataSource, RoomRequestDao)</a> - Constructor for class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html" class="type-name-link" title="class in org.vtokarev.dto">BookingDto</a> - Class in <a href="../org/vtokarev/dto/package-summary.html">org.vtokarev.dto</a></dt>
<dd>
<div class="block">The <code>BookingDto</code> class is a data transfer object, that encapsulates <a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a>,
 some fields of <a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>, <a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>
 and calculated field <code>timeLeft</code>.</div>
</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#%3Cinit%3E()" class="member-name-link">BookingDto()</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#%3Cinit%3E(org.vtokarev.domain.Booking,java.lang.String,java.lang.String,int,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">BookingDto(Booking, String, String, int, String, String, String)</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#%3Cinit%3E(org.vtokarev.dto.BookingDto)" class="member-name-link">BookingDto(BookingDto)</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookingListServlet.html" class="type-name-link" title="class in org.vtokarev.controller">BookingListServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>BookingListServlet</code> class processes GET <code>bookingList</code> requests generated by users with GUEST role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/BookingListServlet.html#%3Cinit%3E()" class="member-name-link">BookingListServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookingListServlet.html" title="class in org.vtokarev.controller">BookingListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/BookingService.html" class="type-name-link" title="class in org.vtokarev.service">BookingService</a> - Class in <a href="../org/vtokarev/service/package-summary.html">org.vtokarev.service</a></dt>
<dd>
<div class="block"><code>BookingService</code> is a service layer class that implements methods for booking room operations.</div>
</dd>
<dt><a href="../org/vtokarev/service/BookingService.html#%3Cinit%3E(org.vtokarev.dao.BookingDao,java.time.ZoneOffset)" class="member-name-link">BookingService(BookingDao, ZoneOffset)</a> - Constructor for class org.vtokarev.service.<a href="../org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookingServlet.html" class="type-name-link" title="class in org.vtokarev.controller">BookingServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>BookingServlet</code> class processes GET <code>booking</code> requests generated by users with GUEST and MANAGER role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/BookingServlet.html#%3Cinit%3E()" class="member-name-link">BookingServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookingServlet.html" title="class in org.vtokarev.controller">BookingServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/BookingStatus.html" class="type-name-link" title="enum class in org.vtokarev.domain">BookingStatus</a> - Enum Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>BookingStatus</code> class represents the entity of status of the <a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a>.</div>
</dd>
<dt><a href="../org/vtokarev/service/BookingService.html#bookRoom(long,long,double,java.time.LocalDate,java.time.LocalDate,java.lang.Long,java.lang.String)" class="member-name-link">bookRoom(long, long, double, LocalDate, LocalDate, Long, String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/BookingDao.html#bookRoom(java.time.LocalDate,java.time.LocalDate,long,long,double,java.lang.Long,java.lang.String)" class="member-name-link">bookRoom(LocalDate, LocalDate, long, long, double, Long, String)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao">BookingDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#bookRoom(java.time.LocalDate,java.time.LocalDate,long,long,double,java.lang.Long,java.lang.String)" class="member-name-link">bookRoom(LocalDate, LocalDate, long, long, double, Long, String)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookRoomGuestServlet.html" class="type-name-link" title="class in org.vtokarev.controller">BookRoomGuestServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>BookRoomGuestServlet</code> class implements <code>doGet</code> method that processes GET <code>bookRoomGuest</code> requests generated by users with GUEST role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/BookRoomGuestServlet.html#%3Cinit%3E()" class="member-name-link">BookRoomGuestServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookRoomGuestServlet.html" title="class in org.vtokarev.controller">BookRoomGuestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookRoomManagerServlet.html" class="type-name-link" title="class in org.vtokarev.controller">BookRoomManagerServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>BookRoomManagerServlet</code> class implements <code>doPost</code> method that processes POST <code>bookRoomManager</code> requests generated by users with MANAGER role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/BookRoomManagerServlet.html#%3Cinit%3E()" class="member-name-link">BookRoomManagerServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookRoomManagerServlet.html" title="class in org.vtokarev.controller">BookRoomManagerServlet</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
